= How do I... =
[[TOC(heading=How do I...?,depth=1,HowTo/*)]]

== Project administration ==

SecureCI™ includes the tools needed to begin and sustain a secure,
agile development project. 

How do I...
 * [./UseExistingSubversion use an existing/remote Subversion repository?]
<% if ::File.directory?("#{node['gitblit']['home']}") %>
 * [./UseGitBlit manage my repositories with GitBlit?]
 * [./UseGit use an existing/remote Git repository?]
<% end %>
 * [./AddNewLoginUser add a new user?]
 * [./CustomizeTickets add new fields to tickets?]
 * [./TicketWorkflow change the workflow for tickets?]
 * [./TracPostCommitHook automatically close tickets when I commit changes?]
<% if ::File.directory?("#{node['secureci-ant']['home']}") %>
 * [./StartWithAnt start a project with Ant?]
<% end %>
<% if ::File.directory?("#{node['maven']['m2_home']}") %>
 * [./StartWithMaven start a project with Maven?]
<% end %> 
<% if ::File.directory?("#{node['jenkins']['home_dir']}") %>
 * [./UseJenkins build my project with Jenkins?]
<% end %>
<% if ::File.directory?("#{node['nexus']['home']}") %>
 * [./UseNexus use Nexus with my Maven project?]
<% end %>
<% if ::File.directory?("#{node['ratproxy']['base_dir']}") %>
 * [./UseRatproxy use ratproxy to look for security issues my web application?]
<% end %>
<% if ::File.directory?("#{node['zap']['home']}") %>
 * [./UseZAP use OWASP ZAP to scan for security issues my web application?]
<% end %>
<% if ::File.directory?("#{node['openscap']['home']}") %>
 * [wiki:HowTo/UseOpenSCAP use OpenSCAP to scan for security vulnerabilities on my servers?]
<% end %>
<% if ::File.directory?("#{node['sonar']['home']}") %>
 * [./UseSonar use Sonar to see code quality in my project?]<% end %><% node['tools']['all'].each do |tool| %><% if ::File.directory?("#{node['tools']['base_dir']}/#{tool}-#{node['tools'][tool]['version']}") || ::File.exists?("#{node['tools']['base_dir']}/#{tool}-#{node['tools'][tool]['version']}.jar") %>
 * [wiki:./<%= node['tools'][tool]['description']['howto_link'] %> <%= node['tools'][tool]['description']['howto_text'] %>]<% end %><% end %><% if ::File.directory?("#{node['tools']['base_dir']}/pmd-bin-#{node['tools']['pmd-bin']['version']}") %>
 * [wiki:./AddPMDCPD add PMD CPD duplicate code detection to my project]
<% end %>
<% if ::File.directory?("#{node['yasca']['home']}") %>
 * [./UseYASCA use yasca to analyze source code and identify issues?]
<% end %>
<% if ::File.directory?("#{node['browser']['firefox']['install']}") || ::File.directory?("#{node['browser']['chrome']['install']}") %>
 * [./UseXvfb use Xvfb to test my web application on a browser?]
<% end %> 

<% if node['platform'] == "ubuntu" %>
== System administration ==
SecureCI™ runs on [wiki:AboutSecureCI/Support#Ubuntu Ubuntu Server Edition JeOS <%= node['platform_version'] %> LTS]. 
Normal system administration tasks can follow Ubuntu or Debian (which Ubuntu is based on) procedures.

Here are some tasks you might run into.

How do I...
 * [./AddNewLoginUser add a new user for logging into the system?]
 * [./Backup backup the system?]
 * [./InstallSslCert install an SSL certificate?]
 * [./OpenPortInFirewall open a port in the firewall?]
 * [./EnableHttp enable HTTP access?]
 * [./AddTomcatInstance add a new Tomcat instance?]
 * [./TimeZone change the system's time zone?]

<% end %>
<%= node['trac']['wiki']['footer'] %>
